ConstantScorePrefixQuery (Solr 3.6.2 API)
Keywords: org.apache.solr.search.ConstantScorePrefixQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class ConstantScorePrefixQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.solr.search.ConstantScorePrefixQuery

All Implemented Interfaces:
  Serializable, Cloneable

    public class ConstantScorePrefixQuery

extends Query

Version:
  $Id: ConstantScorePrefixQuery.java 1065312 2011-01-30 16:08:25Z rmuir $
See Also:
  Serialized Form

Constructor Summary
`ConstantScorePrefixQuery(Term prefix)`

Method Summary
`boolean` | `equals(Object o)` Returns true if `o` is equal to this.
`Term` | `getPrefix()` Returns the prefix for this query
`int` | `hashCode()` Returns a hash code value for this object.
`Query` | `rewrite(IndexReader reader)`
`String` | `toString(String field)` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantScorePrefixQuery

    public ConstantScorePrefixQuery(Term prefix)

Method Detail

### getPrefix

    public Term getPrefix()

  Returns the prefix for this query

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Prints a user-readable version of this query.

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(Object o)

  Returns true if `o` is equal to this.

  Overrides:
    `equals` in class `Query`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD